> ## Documentation Index
> Fetch the complete documentation index at: https://tibbie.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a post



## OpenAPI

````yaml api-reference/openapi.json post /posts
openapi: 3.1.0
info:
  title: Tibbie
  version: '1.0'
  description: REST API for managing posts and connections on Tibbie.
servers:
  - url: https://tibbie.co/api/v1
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: User
  - name: Connections
  - name: Posts
  - name: Media
paths:
  /posts:
    post:
      tags:
        - Posts
      summary: Create a post
      operationId: post.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                content:
                  type:
                    - string
                    - 'null'
                  maxLength: 10000
                scheduled_at:
                  type:
                    - string
                    - 'null'
                  format: date-time
                media:
                  type:
                    - array
                    - 'null'
                  items:
                    type: string
                  maxItems: 4
                platforms:
                  type: array
                  items:
                    type: object
                    properties:
                      connected_account_id:
                        type: integer
                      content:
                        type:
                          - string
                          - 'null'
                        maxLength: 10000
                    required:
                      - connected_account_id
                  minItems: 1
              required:
                - platforms
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  content:
                    type: string
                  status:
                    type: string
                  scheduled_at:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  created_at:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  updated_at:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  creator:
                    type:
                      - object
                      - 'null'
                    properties:
                      id:
                        type: integer
                      name:
                        type: string
                    required:
                      - id
                      - name
                  platforms:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        connected_account_id:
                          type: integer
                        provider:
                          type:
                            - string
                            - 'null'
                        username:
                          type:
                            - string
                            - 'null'
                        content:
                          type:
                            - string
                            - 'null'
                        status:
                          type: string
                        published_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        platform_post_id:
                          type:
                            - string
                            - 'null'
                        error_message:
                          type:
                            - string
                            - 'null'
                      required:
                        - id
                        - connected_account_id
                        - provider
                        - username
                        - content
                        - status
                        - published_at
                        - platform_post_id
                        - error_message
                  media:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        url:
                          type: string
                        file_type:
                          type: string
                        mime_type:
                          type: string
                      required:
                        - id
                        - url
                        - file_type
                        - mime_type
                required:
                  - id
                  - content
                  - status
                  - scheduled_at
                  - created_at
                  - updated_at
                  - creator
                  - platforms
                  - media
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.